com.dlsc.flexgantt.swing.timeline

## Interface IEventlineObjectRenderer

- All Superinterfaces:
    IRenderer
  All Known Implementing Classes:
    DefaultEventlineObjectRenderer

      public interface IEventlineObjectRenderer
      extends IRenderer

  A renderer used for drawing eventline objects.
  Since:
    1.0
  Version:
    $Revision: 1.4 $
  Author:
    Dirk Lemmermann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getEventlineRendererComponent(Eventline eventline, Object eventlineObject, boolean selected, boolean focus)` Returns a renderer component for the given eventline model object.
    `Insets` | `getEventlineRendererInsets()` Returns the insets for the renderer.

- - ### Method Detail

    - #### getEventlineRendererComponent

          Component getEventlineRendererComponent(Eventline eventline,
                                                  Object eventlineObject,
                                                  boolean selected,
                                                  boolean focus)

      Returns a renderer component for the given eventline model object. The object was previously returned by an instance of `IEventlineModel`.
      Parameters:
        `eventline` - the eventline user interface component
        `eventlineObject` - the object returned from the eventline data source (eventline model)
        `selected` - a flag signalling whether the eventline object is currently selected
        `focus` - a flag indicating whether the eventline object has the focus
      Returns:
        a component used to render the given eventline object
      Since:
        1.0

    - #### getEventlineRendererInsets

          Insets getEventlineRendererInsets()

      Returns the insets for the renderer. With the help of insets the component can request to get more or less space allocated than it would just based on the object's time span.
      Returns:
        the renderer's insets
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.